> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 下载附件

> 下载文件附件。

返回 307 重定向：对于配置了 IP allowlist 的 orgs，重定向到强制实施 IP 限制的预签名代理；否则重定向到预签名 S3 URL。

<div id="permissions">
  ## 权限
</div>

需要一个在组织级别被授予 `ViewOrgSessions` 权限的服务用户。


## OpenAPI

````yaml zh/v3-openapi.yaml GET /v3/organizations/{org_id}/attachments/{uuid}/{name}
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/attachments/{uuid}/{name}:
    get:
      tags:
        - attachments
      summary: 下载附件
      description: >-
        下载文件附件。


        返回 307 重定向：对于配置了 IP allowlist 的 orgs，重定向到强制实施 IP 限制的预签名代理；否则重定向到预签名 S3
        URL。
      operationId: >-
        handle_download_attachment_v3_organizations__org_id__attachments__uuid___name__get
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            title: Uuid
            type: string
        - in: path
          name: name
          required: true
          schema:
            title: Name
            type: string
        - description: 组织 ID（前缀：org-）
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: 成功响应
        '307':
          description: 重定向到附件下载 URL
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````